| Face Engine SDK 4.7.0 A face detection, recognition and tracking engine.

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Public Member Functions | List of all members
fsdk::ILivenessDepthEstimator Struct Referenceabstract

Depth estimator interface. More...

`#include <ILivenessDepthEstimator.h>`

Inheritance diagram for fsdk::ILivenessDepthEstimator:

## Public Member Functions
| FSDK_DEPRECATED ("virtual ResultValue<FSDKError,float> estimate(const fsdk::Image& depth)"" is deprecated since v3.8.8, please use ""virtual ResultValue<FSDKError, DepthEstimation> estimate(const fsdk::Image& depth)"" instead") virtual ResultValue< FSDKError
| Check whether or not depth map corresponds to the real person. More...
float | estimate (const fsdk::Image &depth) const noexcept=0
virtual Result< FSDKError > | estimate (const fsdk::Image &depth, fsdk::DepthEstimation &out) const noexcept=0
| Check whether or not depth map corresponds to the real person. More...
| FSDK_DEPRECATED ("setRange is deprecated since v3.8.8, please configure depth estimator ""via faceengine.conf file instead") virtual bool setRange(const DepthRange &range) noexcept=0
| Set depth range for estimator. More...
Public Member Functions inherited from fsdk::IRefCounted
virtual int32_t | retain () noexcept=0
| Increase strong reference count. More...
virtual int32_t | release () noexcept=0
| Decrease strong reference count. More...
virtual int32_t | getRefCount () const noexcept=0
| Get actual strong reference count. More...
virtual int32_t | retainWeak () noexcept=0
| Increase weak reference count. More...
virtual int32_t | releaseWeak () noexcept=0
| Decrease weak reference count. More...
virtual int32_t | getWeakRefCount () const noexcept=0
| Get actual weak reference count. More...

## Detailed Description

Depth estimator interface.

Note
  This estimator is designed for face analysis using depth map. It works with 16 bit depth map of face warp.

See Also
  IWarper for details.

## Member Function Documentation

virtual Result<FSDKError> fsdk::ILivenessDepthEstimator::estimate | ( | const fsdk::Image & | depth,
|  | fsdk::DepthEstimation & | out
| ) |  | const
| pure virtual noexcept

Check whether or not depth map corresponds to the real person.

Parameters

  [in] | depth | warped depth image with R16 format.
  [out] | fsdk::DepthEstimation | output structure.

Returns
  ResultValue with error code inside.

fsdk::ILivenessDepthEstimator::FSDK_DEPRECATED | ( | "virtual ResultValue<FSDKError,float> estimate(const fsdk::Image& depth)"" is deprecated since v3.8. | 8,
|  | please use" "virtual ResultValue< FSDKError, DepthEstimation > estimate(const fsdk::Image &depth)" "instead" |
| ) |  |

Check whether or not depth map corresponds to the real person.

Parameters

  [in] | depth | warped depth image with R16 format.

Returns
  ResultValue with error code and score of estimation.

Note
  estimation score normalized between 0.0 and 1.0, where 1.0 equals to 100% confidence that person on image is alive, and 0.0 equals to 0%.

fsdk::ILivenessDepthEstimator::FSDK_DEPRECATED | ( | "setRange is deprecated since v3.8. | 8,
|  | please configure depth estimator""via faceengine.conf file instead" |
| ) |  | const
| pure virtual noexcept

Set depth range for estimator.

Parameters

  [in] | range |

See Also
  DepthRange.

Returns
  true if range was set, otherwise - false.

Note
  if !range.isOk() range is not set.

The documentation for this struct was generated from the following file:

- include/fsdk/Estimators/ILivenessDepthEstimator.h